package org.dromara.settlement.api.domain;

import java.io.Serializable;
import java.util.Date;

public class Account implements Serializable{

	/**
	 *
	 */
	private static final long serialVersionUID = 5391155157254537039L;

	private Long mer_id;

    private Integer id;

    private Long unitId;

    private String bankType;

    private String bankTypeName;

    private String bankCard;

    private Long balance;

    private Long frozen;

    private Short status;

    private Short type;

    private Date addTime;

	private Date editTime;

	private String name;

	private String bankAddress;

	private Long sydId;

	private String bankArgNo;

	private String bankNo;

    private String bankName;


    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankNo() {
		return bankNo;
	}

	public void setBankNo(String bankNo) {
		this.bankNo = bankNo;
	}

	public Long getSydId() {
		return sydId;
	}

	public void setSydId(Long sydId) {
		this.sydId = sydId;
	}

	public Long getFrozen() {
		return frozen;
	}

	public void setFrozen(Long frozen) {
		this.frozen = frozen;
	}

	public Long getMer_id() {
		return mer_id;
	}

	public void setMer_id(Long mer_id) {
		this.mer_id = mer_id;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBankType() {
        return bankType;
    }

    public void setBankType(String bankType) {
        this.bankType = bankType;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public Long getBalance() {
        return balance;
    }

    public void setBalance(Long balance) {
        this.balance = balance;
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Date getEditTime() {
        return editTime;
    }

    public void setEditTime(Date editTime) {
        this.editTime = editTime;
    }

	public String getBankTypeName() {
		return bankTypeName;
	}

	public void setBankTypeName(String bankTypeName) {
		this.bankTypeName = bankTypeName;
	}

	public Long getUnitId() {
		return unitId;
	}

	public void setUnitId(Long unitId) {
		this.unitId = unitId;
	}

	public Short getType() {
		return type;
	}

	public void setType(Short type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBankAddress() {
		return bankAddress;
	}

	public void setBankAddress(String bankAddress) {
		this.bankAddress = bankAddress;
	}

	public String getBankArgNo() {
		return bankArgNo;
	}

	public void setBankArgNo(String bankArgNo) {
		this.bankArgNo = bankArgNo;
	}
}
